summaryrefslogtreecommitdiff
path: root/configs/releng/build.sh
diff options
context:
space:
mode:
authorGerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>2012-10-03 10:52:13 -0300
committerGerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>2012-10-03 10:52:13 -0300
commite8d8124dd217c25b619deae1c6a5ebcac0cbe41d (patch)
tree6606c09315481fc7cb96526988067638eff3e203 /configs/releng/build.sh
parent0dc8c7b3c7ddcbfe74384d6da596c68f5f268ad9 (diff)
[configs/releng] Enable systemd services
Signed-off-by: Gerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>
Diffstat (limited to 'configs/releng/build.sh')
-rwxr-xr-xconfigs/releng/build.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/configs/releng/build.sh b/configs/releng/build.sh
index b760256..0b4001b 100755
--- a/configs/releng/build.sh
+++ b/configs/releng/build.sh
@@ -185,6 +185,9 @@ make_customize_root_image() {
mkarchiso ${verbose} -w "${work_dir}" -C "${pacman_conf}" -D "${install_dir}" \
-r 'useradd -m -p "" -g users -G "audio,disk,optical,wheel" -s /bin/zsh arch' \
run
+ mkarchiso ${verbose} -w "${work_dir}" -C "${pacman_conf}" -D "${install_dir}" \
+ -r 'systemctl -f enable multi-user.target haveged.service pacman-init.service autologin@.service dhcpcd@.service ntpd.service || true' \
+ run
: > ${work_dir}/build.${FUNCNAME}
fi
}